<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }
define("THEME_BULLET", "<span class='bullet'>&nbsp;</span>");
require_once INCLUDES."theme_functions_include.php";

//Change Theme Width
define("THEME_WIDTH","100%");

function render_page($license=false) {
	
	global $settings, $main_style, $locale,$userdata, $aidlink;

	//Header
	echo "<div id=\"redline_bg\">";
	echo "<table cellpadding='0' cellspacing='0' class=\"headerbg\">\n<tr>\n";
	echo "<td width=\"60px\" height=\"357px\"><img src=\"".THEME."images/headerbg_left.png\" alt=\"image\" /></td>";
	echo "<td class='headerbg_center'>";
	echo "<table cellpadding='0' cellspacing='0' class=\"header\">\n<tr>\n";
	echo "<td width=\"30\" height=\"210px\"><img src=\"".THEME."images/header-left.png\" alt=\"image\" /></td>";
	echo "<td class=\"header-center\"><div class=\"logo\">".showbanners()."</div></td>";
	echo "<td class=\"header-right\">";
	if(iGUEST){
		echo "<p style=\"padding: 30px 0 0 34px; text-align: left; width: 260px;\">Welcome guest! You should <a href=\"http://www.themes-den.com/login.php\">Login</a> or <a href=\"http://www.themes-den.com/register.php\">Register</a><br /> in order to have download access on this site.</p>";
	} else {
		echo "<div style=\"padding: 20px 0 0 20px; text-align: left; width: 260px; height: 100px;\">";
		if (!empty($userdata['user_avatar'])) {
		echo "<img src=\"".IMAGES."avatars/".$userdata['user_avatar']."\" alt=\"avatar\" style=\"float: left\"/>";
		}
		echo "<p style=\"padding: 36px 0 0 30px;\">Welcome ".$userdata['user_name']."</p></div>";
	}
	echo "</td>";
	echo "</tr></table>";
	echo "<table cellpadding='0' cellspacing='0' class=\"sub-header\">\n<tr>\n";
	echo "<td width=\"40px\" height=\"40px\"><img src=\"".THEME."images/subheader-left.png\" alt=\"image\" /></td>";
	echo "<td class=\"subheader-center\">".showsublinks("","white")."</td>";
	echo "<td class=\"subheader-right\"><div id=\"date-wrapper\">".showsubdate()."</div></td>";
	echo "</tr></table>\n";
	echo "</td>";
	echo "<td width=\"60px\" height=\"357px\"><img src=\"".THEME."images/headerbg_right.png\" alt=\"image\" /></td>";
	echo "</tr></table>";
	echo "</div>";
 
	//Content

	echo "<table cellpadding='0' cellspacing='0' class='content'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

	//Footer
	echo "<table cellpadding='0' cellspacing='0' class=\"bottom-footer\">\n<tr>\n";
	echo "<td class=\"footer-left\">&nbsp;</td>";
	echo "<td class=\"footer-fill\">&nbsp;</td>";
	echo "<td class=\"footer-center\">RedAir theme by Voodoo | <a href='http://www.themes-den.com' target='_blank'>Themes-Den.com</a><br />Counter: ".showcounter().stripslashes($settings['footer']).showcopyright()."</td>";
	echo "<td class=\"footer-fill\">&nbsp;</td>";	
	echo "<td class=\"footer-right\">&nbsp;</td>";
	echo "</tr></table>";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td width=\"20px\"><img src=\"".THEME."images/cap-left.png\" alt=\"image\" /></td>";
	echo "<td class='capmain'><div class=\"scaptitle\">".$subject."</div></td>";
	echo "<td width=\"20px\"><img src=\"".THEME."images/cap-right.png\" alt=\"image\" /></td>";
	echo "</tr>\n</table>\n";
	echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class=\"border1\">&nbsp;</td>";
	echo "<td class='main-body middle-border'><div class=\"gradient\">".$news."</div></td>\n";
	echo "<td class=\"border2\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class=\"border1\">&nbsp;</td>";
	echo "<td class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "<td class=\"border2\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td width=\"30px\"><img src=\"".THEME."images/scap-bleft.png\" alt=\"image\" /></td>";
	echo "<td class='scap-bcenter'>&nbsp;</td>\n";
	echo "<td width=\"30px\"><img src=\"".THEME."images/scap-bright.png\" alt=\"image\" /></td>";
	echo "</tr>\n</table>\n";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain'><div class=\"scaptitle\">".$subject."</div></td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table width='".THEME_WIDTH."' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td width=\"30px\"><img src=\"".THEME."images/scap-bleft.png\" alt=\"image\" /></td>";
	echo "<td class='scap-bcenter'>&nbsp;</td>\n";
	echo "<td width=\"30px\"><img src=\"".THEME."images/scap-bright.png\" alt=\"image\" /></td>";
	echo "</tr>\n</table>\n";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td width=\"20px\" height=\"54px\"><img src=\"".THEME."images/cap-left.png\" alt=\"image\" /></td>";
	echo "<td class='captablemain'><div class=\"scaptitle\">".$title."</div></td>\n";
	echo "<td width=\"20px\"  height=\"54px\"><img src=\"".THEME."images/cap-right.png\" alt=\"image\" /></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class=\"border1\">&nbsp;</td>";
	echo "<td class='main-body'>\n<div class=\"gradient\">";

}

function closetable() {

	echo "</div>";
	echo "</td>\n";
	echo "<td class=\"border2\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td width=\"30px\"><img src=\"".THEME."images/scap-bleft.png\" alt=\"image\" /></td>";
	echo "<td class='scap-bcenter'>&nbsp;</td>\n";
	echo "<td width=\"30px\"><img src=\"".THEME."images/scap-bright.png\" alt=\"image\" /></td>";
	echo "</tr>\n</table>\n";
}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td width=\"20px\"><img src=\"".THEME."images/scap-left.png\" alt=\"image\" /></td>";
	echo "<td class='scapmain'><div class=\"scaptitle\">".$title."</div></td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scapmain' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</td>\n";
	echo "<td width=\"20px\"><img src=\"".THEME."images/scap-right.png\" alt=\"image\" /></td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td class=\"border1\">&nbsp;</td>";

	echo "<td class=\"side-body\">\n";	
	echo "<div class=\"gradient\">";
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</div>";
	echo "</td>\n";
	echo "<td class=\"border2\">&nbsp;</td>";
	echo "</tr>\n</table>";
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."'>\n<tr>\n";
	echo "<td width=\"20px\"><img src=\"".THEME."images/scap-bleft.png\" alt=\"image\" /></td>";
	echo "<td class='scap-bcenter'>&nbsp;</td>\n";
	echo "<td width=\"20px\"><img src=\"".THEME."images/scap-bright.png\" alt=\"image\" /></td>";
	echo "</tr>\n</table>\n";
}
?>
